Subject: Replacing CDev icons (icon resources)
From: [email-masked] (Grover Thomas)
Date: 28 Apr 92 09:28:24 GMT
Newsgroups: comp.sys.apple2

I finally figured out how to replace FontSel's resource icon,
and I'd thought I'd share it with the rest of you. I especially
want to thank Thomas Kishel for his advice.

Basically, you do this:

1) Make an icon with an editor. DIcEd, IcEd, Instant Icon or
     whatever you use.
2) Run the Custom Rez program and select your new icon.  Put
     it in FontSel's (or whatever CDev) resource with the
     "Add" button.
3) Run the ResLin program (a recent version, I use d0.19).
     Load in the resource from FontSel (or whatever) and you
     select the type $8001 (rIcon) resources and View them.
     Find the old icon (usually has ID of $00000001) and
     delete it from the resource using the "Delete" button.
     Now find your Icon, and change the ID number to $00000001.
4) Put the new-and-improved FontSel (or whatever) file into
     your System/CDevs folder, replacing the old file.

This next part is VERY important. This is what I didn't realize:

5) For the new icon picture to be used, you must delete the
     invisible file CDEV.DATA from the CDevs folder. On the
     next bootup, GS/OS will have to reconstruct this file, and
     put all the icon pictures into this file.

Note that this procedure will also work for changing other CDev
icons, such as the ugly (IMHO) boot in SetStart.

        Responses welcomed by  [email-masked]